VOP_READLINK(9)

NAME
VOP_READLINK - read the target of a symbolic link

SYNOPSIS
#include <sys/param.h>
#include <sys/vnode.h>
#include <sys/uio.h>
int
VOP_READLINK(struct vnode *vp, struct uio *uio, struct ucred *cred);

DESCRIPTION
This reads the target pathname of a symbolic link

vp  The vnode of the symlink.

uio The location of the data to be read or written.

cred
    The credentials of the caller.

LOCKS
The vnode should be locked on entry and will still be locked on exit.

RETURN VALUES
Zero is returned on success, otherwise an error code is returned.

ERRORS

[EIO]
    A read error occurred while reading the contents of the symlink.

SEE ALSO
uiomove(9), vnode(9)

AUTHORS
This manual page was written by Doug Rabson.